package jm28;

import java.util.*;

import org.hibernate.*;
import org.hibernate.cfg.*;

public class Cria {
    
    public static void main(String[] args) {

        SessionFactory sessionFactory =
            new Configuration().configure().buildSessionFactory();
            
        Session session = sessionFactory.openSession();
            
        Transaction tx = session.beginTransaction();
        
        Categoria categoria = new Categoria();
        categoria.setNome("Inadimplente");
        categoria.setDesconto(0f);
        categoria.setParcelas(0);

        Cliente cliente = new Cliente();
        cliente.setNome("Peter Parker");
        cliente.setSexo('M');
        cliente.setEmail("pp@arachne.net");
        Endereco endereco = new Endereco();
        endereco.setLogradouro("5th Avenue");
        endereco.setNumero(171);
        endereco.setComplemento(null);
        endereco.setBairro("Queens");
        endereco.setMunicipio("New York");
        cliente.setEndereco(endereco);
        Set<String> telefones = new HashSet<String>();
        telefones.add("5555-1234");
        cliente.setTelefones(telefones);

        cliente.setCategoria(categoria);
        categoria.getClientes().add(cliente);

        session.save(cliente);

        tx.commit();
        
        session.close();
    }
    
}
